Skip to main content

Freight Surcharge Create V1 Ep

POST 

/v1/freight/surcharge/create_many

Surcharge Create

Allows creating a new surcharge or adding a new rate to an existing surcharge. Rates cannot overlap. If dates or rates need to be updated, the update endpoint and delete endpoint should be used.

Required Scopes (ia.w)

Request​

counterparty_name: str | None = None
Name of the counterparty.​

counterparty_id: str | None = None
ID of the counterparty.​

product_group: ProductGroups | None = None
Group of products for the surcharge.​

book_type: RateBookType
Type of rate book.

Details

Show Book Types Cost
Used for carrier ratebooks.

Revenue
Used for customer ratebooks.


freight_region_id: str | None = None
ID of the freight region.​

freight_region_name: str | None = None
Name of the freight region.​

type: SurchargeType
Type of surcharge.​

effective_from: datetime
Start date when surcharge is effective.​

effective_to: datetime | None = None
End date when surcharge is effective.​

surcharge: float | None = None
The surcharge amount.​

Response​

good: int
Number of surcharges successfully created or updated.​

bad: list
List of failed surcharge creation/update attempts with error details.

Details

Show Child Attributes request: SurchargeCreateReq
The original request that failed.

error: str
Error message describing why the request failed.


Responses​

Successful Response

Loading...